## org.apache.mahout.cf.taste.example
Class TasteOptionParser

    java.lang.Object
      org.apache.mahout.cf.taste.example.TasteOptionParser

    public final class TasteOptionParser

extends Object

This class provides a common implementation for parsing input parameters for all taste examples. Currently they only need the path to the recommendations file as input. The class is safe to be used in threaded contexts.

Method Summary
`static File` `getRatings(String[] args)` Parse the given command line arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRatings

    public static File getRatings(String[] args)
                           throws org.apache.commons.cli2.OptionException

  Parse the given command line arguments.

  Parameters:
    `args` - the arguments as given to the application.
  Returns:
    the input file if a file was given on the command line, null otherwise.
  Throws:
    `org.apache.commons.cli2.OptionException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.